Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Subscription Billing

Resume Billing Agreement

OpenAPI Spec

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

POST
/public/api/v1/subscriptions/billing/agreements/{agreementId}/resume

Resume automatic billing charges for the given billing agreement. Charges will begin again, with the first charge made on the given nextChargeAt date.

Authorization

BearerAuth
headerAuthorizationBearer <token>

Path Parameters

agreementIdstring
Required

The id of the agreement to stop.

Request Body

Create billing agreement data

Resumes the automatic charges for the billing agreement. It requires the associated subscription is still active.

nextChargeAtstring
Required

Date of the next scheduled charge.

Format:
date
Example:
"2030-07-29"

Response Body

application/json

application/json

application/json

application/json

curl -X POST 'https://payments.epay.eu/public/api/v1/subscriptions/billing/agreements/string/resume' \  -H 'Content-Type: application/json' \  -d '{  "nextChargeAt": "2030-07-29"}'
{  "billingAgreement": {    "id": "019a729e-2d93-7612-9329-8f783f66f834",    "billingPlanId": "019a729e-41c2-7d16-a1e2-fdb15a8146bb",    "subscriptionId": "019a729e-51ed-7426-b7c9-0e212b2d77d4",    "sessionId": "019a729e-660a-7a05-90ad-5160ad0decc5",    "customerId": "user-1",    "nextChargeAt": "2030-08-29T15:51:28.071Z",    "lastChargeAt": "2030-07-29T15:51:28.071Z",    "desiredDate": 30,    "state": "PENDING",    "stateChangedAt": "2030-07-29T15:51:28.071Z",    "reference": "agreement-1",    "createdAt": "2030-07-29T15:51:28.071Z"  }}